Bug 38906 - ucc-image: Fail while building desktop image iso image
ucc-image: Fail while building desktop image iso image
Status: CLOSED FIXED
Product: Univention Corporate Client (UCC)
Classification: Unclassified
Component: Image management
UCC 2.1
Other Linux
: P5 normal
: UCC 2.1
Assigned To: Erik Damrose
Felix Botner
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-07-13 12:10 CEST by Erik Damrose
Modified: 2015-08-07 15:48 CEST (History)
0 users

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Erik Damrose univentionstaff 2015-07-13 12:10:18 CEST
The image generation for desktop images fails with the following log output:

ucc-image cmd: grub-mkrescue -o /var/lib/univention-client-boot/temp/tmpndORfk/ucc-2.1-desktop-image.img.iso /var/lib/univention-client-boot/temp/tmpndORfk/cdrom

Unterstützung für BIOS wird aktiviert …

xorriso 1.2.2 : RockRidge filesystem manipulator, libburnia project.

xorriso : FAILURE : File exceeds size limit of 4294967295 bytes: '/var/lib/univention-client-boot/temp/tmpndORfk/cdrom/ucc-2.1-desktop-image.img'

xorriso : FAILURE : Grafting failed:  '/ucc-2.1-desktop-image.img' = '/var/lib/univention-client-boot/temp/tmpndORfk/cdrom/ucc-2.1-desktop-image.img'
Comment 1 Erik Damrose univentionstaff 2015-07-14 12:43:14 CEST
xorrisofs requires an additional parameter (-iso-level 3) in order to create an iso with files larger than 4GiB. The grub-mkrescue call in ucc-image has been adapted.
r62098 ucc-image-toolkit 4.0.0-6.222.201507141237
r62099 changelog
Comment 2 Felix Botner univentionstaff 2015-07-15 10:38:58 CEST
OK - ucc-image -c /usr/share/doc/ucc-image-toolkit/example/ucc-desktop.cfg
     -> ucc-2.1-desktop-image.img.iso
OK - Changelog
Comment 3 Erik Damrose univentionstaff 2015-08-07 15:48:17 CEST
UCC 2.1 has been released. If this error occurs again, please use "Clone This Bug".